Description

Currently, outputs are named in different ways, sometimes generic (e.g. Output), sometimes referring to the command who generated it

(e.g. Reprojected), sometimes repeating "raster" or "layer", "points" etc.

This is confusing, and appears unpolished. Better decide a general schema.

I'm available to help applying it, once decided.

Related issues:

Related to QGIS Application - Feature request # 12741: Layer output to file s... Open 2015-05-12

Duplicated by QGIS Application - Feature request # 12761: More uniform naming... Rejected 2015-05-17

History

#1 - 2015-04-10 12:09 AM - Paolo Cavallini

My preference:

    -  name reflecting the command (e.g. Buffer, Dissolved, Reprojected, etc.)

    -  avoid padding words like Output, Layer, Raster, Grid, etc.

#2 - 2015-04-10 12:41 AM - Paolo Cavallini

- Subject changed from Processing: bettern naming structure for output to Processing: better naming structure for output

#3 - 2015-04-10 12:41 AM - Paolo Cavallini

Mostly done for GDAL (ogr still to be done)

#4 - 2015-04-10 05:50 AM - Alexander Bruy

AFAIK Processing assigns names to the outputs based on the name of the output parameter or using name of the output file (there is an option in the

Processing settings for this).

Of course we can edit all algorithms and change labels for outputs, but IMO this is not optimal solution as some algorithms produce multiple outputs and it

may be difficult to find short and meaningful names for them. Maybe some generic approach can be used, for example using combination from algorithm

and output name, or output name + file name.

#5 - 2015-04-10 05:59 AM - Paolo Cavallini

I am talking about labels, sorry for the confusion. For labels we are not forced to be very short. I tried with GDAL and some SAGA commands, and I did not

find difficult to give understandable names.

The problem is IMHO twofold:

    -  calling a resulting raster in many different and uninformative ways (e.g. Raster, Output, Grid, Layer, etc.) is confusing and does not look nice
    -  more substantially, it is difficult for the user to select one of the results of previous analyses as an input for further ones, if there is no clue about the

origin from the name.

Please have a look to my recent commits, I believe the situation is much more clear now.

I do not think an automatic approach can give very good results; the main disadvantage of my proposal it that it takes some times to fix all the output

names in a coherent manner.

#6 - 2015-04-28 12:39 AM - Victor Olaya

- Status changed from Open to Feedback

Yes, definitely the labels can be changed, and that won't break anything in the execution of algorithms.

As you say, it's a tedious task and requires time, but +1 fro mme if you feel like changing any of them for a better name

#7 - 2015-04-28 08:56 AM - Paolo Cavallini

Glad you agree. Have you checked what I have done so far? Agreed with that? Main stuff missing is GRASS, where both 6 and 7 should be updated.

#8 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#9 - 2015-12-20 09:39 AM - Giovanni Manghi

- Status changed from Feedback to Open

#10 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#11 - 2018-03-07 05:48 PM - Paolo Cavallini

- Assignee deleted (Victor Olaya)

- Resolution set to worksforme

- Affected QGIS version changed from 2.8.1 to 3.0.0

- Description updated

- Status changed from Open to Closed

Seems good enough now. Feel free to reopen if not.
